### Virtual Method

# Gio TlsConnection get_binding_data

since: 2.28

#### Declaration

    gboolean
    get_binding_data (
      GTlsConnection* conn,
      GTlsChannelBindingType type,
      GByteArray* data,
      GError** error
    )

#### Description

Retrieve TLS channel binding data (Since: 2.66)

Available since: 2.28

#### Parameters

`type`

  Type: `GTlsChannelBindingType`

  No description available.

`data`

  Type: An array of `guint8`

  No description available.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.